/****************************************************************/
/*                                                              */
/*          S A S   I N S T A L L A T I O N   T E S T           */
/*                                                              */
/*    NAME: TSTHPSUM                                            */
/*   TITLE: INSTALLATION TEST FOR PROC HPSUMMARY                */
/* PRODUCT: HPA                                                 */
/*  SYSTEM:                                                     */
/*    KEYS:                                                     */
/*   PROCS: HPSUMMARY, DATA STEP                                */
/*    DATA:                                                     */
/*                                                              */
/* SUPPORT:                                                     */
/*  UPDATE:                                                     */
/*     REF:                                                     */
/*    MISC:                                                     */
/*                                                              */
/****************************************************************/


%macro check(data1,data2,opts,drop);

proc compare base=&data1(label='' &drop)
             compare=&data2(label='' &drop)
             outstats=check nosummary &opts;
    attrib _all_ format = label = '';
run;

%rccheck(&sysinfo,0);

%mend;


data hpsdata1_tsthpsum;
    do i = 1 to 100;
        j = i-50;
        w = i/10;
        output;
    end;
run;


 *- SMP MODE -*;
proc hpsummary data=hpsdata1_tsthpsum;
    var w;
    output out=work.out_SMP
           n=n
           sum=sum;
run;

%macro checkforsashdat(ds);
 %global GRIDLIB;
 %if %index(&ENGINE,SASHDAT) %then %do;
  %let GRIDLIB=GRIDLIB;
  data GRIDLIB.&ds (blocksize=1M
                    copies   =0
                    replace  =yes);
   set &ds;
  run;
 %end;
 %else %do;
  %let GRIDLIB=WORK;
 %end;
%mend;

%checkforsashdat(hpsdata1_tsthpsum);

 *- MPP MODE -*;
proc hpsummary data=&GRIDLIB..hpsdata1_tsthpsum;
    var w;
    output out=work.out_MPP
           n=n
           sum=sum;
    performance &PERFORMANCE_OPTS;
run;

proc delete data=&GRIDLIB..hpsdata1_tsthpsum;
run;

/* expected output */
data out2;
    input _TYPE_  _FREQ_ n sum;
datalines;
0        100     100    505
;

%check(out_SMP,out2,
  %str(method=absolute criterion=.0001));
%check(out_MPP,out2,
  %str(method=absolute criterion=.0001));
